{{#if this.isLoading}}
  <FaIcon @icon='spinner' @spin={{true}} />
{{else if this.hasActions}}

  {{#if @onRemove}}
    <button
      title={{t 'delete'}}
      type='button'
      class='btn btn-danger btn-delete'
      {{on 'click' this.remove}}
    >
      <FaIcon @icon='trash' />
    </button>
  {{/if}}

  {{#if @onRotate}}
    <button
      title={{t 'rotate'}}
      type='button'
      class='btn btn-secondary btn-rotate'
      {{on 'click' this.rotate}}
    >
      <FaIcon @icon='undo' />
    </button>
  {{/if}}

  {{#if @onToggle360}}
    <button
      type='button'
      title={{t '360 degree image'}}
      class='btn
        {{if @picture.is360 "btn-success" "btn-secondary"}}
        btn-enable-360'
      {{on 'click' this.toggle360}}
    >
      <FaIcon @icon='street-view' />
    </button>
  {{/if}}
{{/if}}

<img
  src={{this.url}}
  class='{{if this.isLoading "is-loading"}}'
  ...attributes
/>